
Figure - Bug #115615
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111054 (New): AF-V2.0-Launcher/SystemUI-控制中心-3游戏模式

【AF】【EVT】【游戏模式】将GameModeProvider删除数据后，通知栏上的游戏模式为开启状态，而设置里
游戏模式为关闭状态
2023-01-31 18:12 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-01-31

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS 段小刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Reproducibility: Every time Fixed Version: 2023-02-01

Test Type: IT Root cause: GameModeProvider 的数据被清理导致。

Description

【前提条件】

1、设备的游戏模式已打开

2、安装大型游戏【王者荣耀】

【测试步骤】

1、打开 设置 —— 应用——查看全部应用——搜索‘gamemodeprovider’

2、将其数据删除清空

3、查看通知栏的游戏模式和设置里的游戏模式开关状态

【预期结果】

3、游戏模式均为关闭状态

【实际结果】

3、通知栏的游戏模式仍为开启状态

【复现率】

3/3

History

#1 - 2023-02-01 09:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178485 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:GameMode: Disable allow clear user data.TC-RID: 1201-0204801IssueID: TS-R-BUG-115615Change-Id: I06d60da585d3a455a1a1d44ceaa19b1d885ce6a5

#2 - 2023-02-01 10:00 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS 段小刚

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

2025-07-04 1/2



- Degrated changed from -- to No

- Fixed Version set to 2023-02-01

- Root cause set to GameModeProvider 的数据被清理导致。

■ Current conclusion

已处理。

■ My analysis

GameModeProvider 的数据被清理导致。已禁用清理存储空间操作。

■ Next action

测试验证。

#3 - 2023-02-02 10:42 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

验证版本：0071

验证结果：将GameProviderMode进行数据删除后，再次打开游戏，其游戏模式仍然可以正常打开——Pass

#4 - 2023-02-02 10:42 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED

问题已解决，特此关闭
